Get Open Orders
curl --request POST \
--url https://gateway.varchev.com/crypto/getOpenOrders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"nonce": "-12791281",
"trades": false,
"userref": "-5073110"
}
'import requests
url = "https://gateway.varchev.com/crypto/getOpenOrders"
payload = {
"nonce": "-12791281",
"trades": False,
"userref": "-5073110"
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: '-12791281', trades: false, userref: '-5073110'})
};
fetch('https://gateway.varchev.com/crypto/getOpenOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": [],
"result": {
"open": {
"OQCLML-BW3P3-BUCMWZ": {
"userref": 0,
"status": "open",
"opentm": 1616666559.8974,
"starttm": 0,
"expiretm": 0,
"descr": {
"pair": "XBTUSD",
"type": "buy",
"ordertype": "limit",
"price": "30010.0",
"price2": "0",
"leverage": "none",
"order": "buy 1.25000000 XBTUSD @ limit 30010.0",
"close": ""
},
"vol": "1.25000000",
"vol_exec": "0.37500000",
"cost": "11253.7",
"fee": "0.00000",
"price": "30010.0",
"stopprice": "0.00000",
"limitprice": "0.00000",
"misc": "",
"oflags": "fciq",
"trades": [
"TCCCTY-WE2O6-P3NB37"
]
},
"OB5VMB-B4U2U-DK2WRW": {
"userref": 120,
"status": "open",
"opentm": 1616665899.5699,
"starttm": 0,
"expiretm": 0,
"descr": {
"pair": "XBTUSD",
"type": "buy",
"ordertype": "limit",
"price": "14500.0",
"price2": "0",
"leverage": "5:1",
"order": "buy 0.27500000 XBTUSD @ limit 14500.0 with 5:1 leverage",
"close": ""
},
"vol": "0.27500000",
"vol_exec": "0.00000000",
"cost": "0.00000",
"fee": "0.00000",
"price": "0.00000",
"stopprice": "0.00000",
"limitprice": "0.00000",
"misc": "",
"oflags": "fciq"
},
"OXHXGL-F5ICS-6DIC67": {
"userref": 120,
"status": "open",
"opentm": 1616665894.0036,
"starttm": 0,
"expiretm": 0,
"descr": {
"pair": "XBTUSD",
"type": "buy",
"ordertype": "limit",
"price": "17500.0",
"price2": "0",
"leverage": "5:1",
"order": "buy 0.27500000 XBTUSD @ limit 17500.0 with 5:1 leverage",
"close": ""
},
"vol": "0.27500000",
"vol_exec": "0.00000000",
"cost": "0.00000",
"fee": "0.00000",
"price": "0.00000",
"stopprice": "0.00000",
"limitprice": "0.00000",
"misc": "",
"oflags": "fciq"
},
"OLQCVY-B27XU-MBPCL5": {
"userref": 251,
"status": "open",
"opentm": 1616665556.7646,
"starttm": 0,
"expiretm": 0,
"descr": {
"pair": "XBTUSD",
"type": "buy",
"ordertype": "limit",
"price": "23500.0",
"price2": "0",
"leverage": "none",
"order": "buy 0.27500000 XBTUSD @ limit 23500.0",
"close": ""
},
"vol": "0.27500000",
"vol_exec": "0.00000000",
"cost": "0.00000",
"fee": "0.00000",
"price": "0.00000",
"stopprice": "0.00000",
"limitprice": "0.00000",
"misc": "",
"oflags": "fciq"
},
"OQCGAF-YRMIQ-AMJTNJ": {
"userref": 0,
"status": "open",
"opentm": 1616665511.0373,
"starttm": 0,
"expiretm": 0,
"descr": {
"pair": "XBTUSD",
"type": "buy",
"ordertype": "stop-loss-limit",
"price": "24500.0",
"price2": "0",
"leverage": "none",
"order": "buy 1.25000000 XBTUSD @ limit 24500.0",
"close": ""
},
"vol": "1.25000000",
"vol_exec": "0.00000000",
"cost": "0.00000",
"fee": "0.00000",
"price": "0.00000",
"stopprice": "0.00000",
"limitprice": "0.00000",
"misc": "",
"oflags": "fciq",
"trigger": "index"
}
}
}
}Private
Get Open Orders
Retrieve information about currently open orders.
POST
/
getOpenOrders
Get Open Orders
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
⌘I

